[chirp_users] " Python-future package" on Mac;

Jim Unroe rock.unroe at gmail.com
Thu Jun 17 18:35:51 PDT 2021


On Thu, Jun 17, 2021 at 9:10 PM Craig Hayes via chirp_users
<chirp_users at intrepid.danplanet.com> wrote:
>
> Hello,
>
> I’m having trouble with Chirp on my Mac  ( 10.13 High Sierra but same problem on Mojave ) and my new Anytone AT-778UV VOX.
>
> The radio model is not in the drop down menu. If I launch Chirp from the shell script I get this warning in the terminal;
>
> WARNING: python-future package is not available; chirp.drivers.anytone778uv requires it
>
> I guess this explains why I don’t see the radio entry in the menu.
>
> I tried installing future via pip, everything appeared to work but still no luck.
>
> Anybody encounter this problem? Any hints on where to look for a solution?
>
> Thanks,
>
> Craig

Any radios that require the python-future package are not supported by
CHIRP on macOS because the CHIRP macOS Unified Application does not
contain this package. It is my understanding that the MacOS Unified
Application will most likely never contain this package. So currently
your only workaround is to use Windows or linux to have support for
those radios.

Jim KC9HI


More information about the chirp_users mailing list